/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    MOLÉCULE : NAV-PRIMARY
    Styles des éléments de navigation principale
*/



.molecule_nav-primary {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex: 1;
    border-bottom: 1px solid var(--white);
    margin-left: 60px;
}

    @media (max-width: 991px) {
        .molecule_nav-primary {
            display: none;
        }
    }

.molecule_nav-primary nav {
    width: 100%;
    height: 100%;
}

/* Niveau 1 */
@media (min-width: 992px) {
    .molecule_nav-primary ul.first-level {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        height: 100%;
    }
}

.molecule_nav-primary ul.first-level > li {
    position: relative;
    display: flex;
    align-items: center;
    padding: 0 16px;
    height: 100%;
}

    @media (max-width: 991px) {
        .molecule_nav-primary ul.first-level > li {
            display: block;
            padding: 0;
        }
    }

    @media (min-width: 992px) {
        /* Onglets avec enfants */
        .molecule_nav-primary ul.first-level > li.menu-item-has-children {
            padding-right: 36px;
        }
    }

.molecule_nav-primary ul.first-level > li > a {
    display: block;
    color: var(--gray-700);
    font-size: 1.4rem;
}

    @media (max-width: 991px) {
        .molecule_nav-primary ul.first-level > li > a {
            font-size: 2.1rem;
            padding: 20px 30px;
        }
    }

    /* Onglets avec enfants */
    .molecule_nav-primary ul.first-level > li.menu-item-has-children > a {
        position: relative;
    }

        .molecule_nav-primary ul.first-level > li.menu-item-has-children > a::after {
            content: "\e916";
            position: absolute;
            top: 50%;
            left: calc(100% + 12px);
            font-family: 'icomoon';
            font-size: 0.8rem;
            transform: translateY(-50%);
        }

            @media (max-width: 991px) {
                .molecule_nav-primary ul.first-level > li.menu-item-has-children > a::after {
                    font-size: 2.1rem;
                    right: 30px;
                    left: auto;
                }
            }

    @media (min-width: 992px) {
        /* Hover + Active */
        .molecule_nav-primary ul.first-level > li.current-page-ancestor > a,
        .molecule_nav-primary ul.first-level > li.current_page_item > a,
        .molecule_nav-primary ul.first-level > li > a:hover {
            color: var(--c-primary);
        }
    }

/* Niveau 2 et + */
.molecule_nav-primary ul.first-level ul {
    display: flex;
    flex-direction: column;
    background-color: var(--gray-300);
    margin: 0;
    transform: translateY(0);
    transition: transform .5s, opacity .5s;
    z-index: 1;
}

    @media (max-width: 991px) {
        .molecule_nav-primary ul.first-level ul {
            width: 100%;
            background-color: var(--gray-500);
        }

            /* No Hover */
            .molecule_nav-primary ul.first-level li:not(.sfhover) ul {
                pointer-events: none;
                padding: 0;
                height: 0;
                opacity: 0;
                transform: translateY(-10px);
            }
    }

    @media (min-width: 992px) {
        .molecule_nav-primary ul.first-level ul {
            position: absolute;
            top: calc(100% + 2px);
            left: 0;
            padding: 30px 0;
            min-width: 350px;

        }

            /* No Hover */
            .molecule_nav-primary ul.first-level li:not(:hover) > ul {
                pointer-events: none;
                opacity: 0;
                transform: translateY(-10px);
            }
    }

    /* @changelog 2024-01-11 [EVOL] (Nicolas) Création d'un ::before invisible pour garder l'effet de survol jusqu'au ul */
    .molecule_nav-primary ul.first-level ul::before {
        content: "";
        position: absolute;
        top: -30px;
        left: 0;
        background-color: transparent;
        width: 100%;
        height: 30px;
    }

.molecule_nav-primary ul.first-level ul li {
    position: relative;
    display: flex;
    align-items: center;
    padding: 0;
}

    @media (max-width: 991px) {
        .molecule_nav-primary ul.first-level ul li {
            flex-direction: column;
        }
    }

.molecule_nav-primary ul.first-level ul li a {
    display: block;
    color: var(--gray-700);
    text-decoration: none;
    padding: 10px 45px;
    height: 100%;
    width: 100%;
}

    @media (max-width: 991px) {
        .molecule_nav-primary ul.first-level ul li a {
            font-size: 1.6rem;
            padding: 20px 80px;
            padding-right: 0;
        }

            /* Hover */
            .molecule_nav-primary ul.first-level ul li.current-page-ancestor > a,
            .molecule_nav-primary ul.first-level ul li.current_page_item > a,
            .molecule_nav-primary ul.first-level ul li.sfhover > a {
                color: var(--white);
                text-decoration: underline;
            }
    }

    @media (min-width: 992px) {
        /* Hover + Active */
        .molecule_nav-primary ul.first-level ul li.current-page-ancestor > a,
        .molecule_nav-primary ul.first-level ul li.current_page_item > a,
        .molecule_nav-primary ul.first-level ul li:hover > a,
        .molecule_nav-primary ul.first-level ul li a:hover {
            background-color: var(--gray-500);
            color: var(--white);
            text-decoration: underline;
        }
    }

/* Niveau 3 */
.molecule_nav-primary ul.first-level ul ul {
    background-color: #B2B2B2;
    transition: transform .5s, opacity .5s;
}

    @media (min-width: 992px) {
        .molecule_nav-primary ul.first-level ul ul {
            top: 0;
            left: 100%;
            background-color: var(--gray-500);
            margin-top: -30px;
            z-index: 1;
        }
    }

.molecule_nav-primary ul.first-level ul ul li a {
    padding: 8px 45px;
}

    @media (max-width: 991px) {
        .molecule_nav-primary ul.first-level ul ul li a {
            font-size: 1.4rem;
            padding: 16px 120px;
            padding-right: 0;
        }

            /* Hover */
            .molecule_nav-primary ul.first-level ul ul li a:hover {
                color: var(--white);
                text-decoration: underline;
            }
    }
